<?xml version="1.0"?>
<!DOCTYPE cache-config SYSTEM "cache-config.dtd">
<cache-config>
	<caching-scheme-mapping>
		<cache-mapping>
			<cache-name>*</cache-name>
			<scheme-name>extend-dist</scheme-name>
		</cache-mapping>
	</caching-scheme-mapping>

	<caching-schemes>
		<remote-cache-scheme>
			<scheme-name>extend-dist</scheme-name>
			<service-name>ExtendTcpCacheService</service-name>
			<initiator-config>
				<tcp-initiator>
					<remote-addresses>
						<socket-address>
							<address system-property="gridvise.proxy.hostname">localhost</address>
							<port>10061</port>
						</socket-address>
					</remote-addresses>
					<connect-timeout>10s</connect-timeout>
				</tcp-initiator>
<!-- 	<serializer> -->
<!-- 		<class-name>com.tangosol.io.pof.SafeConfigurablePofContext</class-name> -->
<!-- 		<init-params> -->
<!-- 			<init-param> -->
<!-- 				<param-type>string</param-type> -->
<!-- 				<param-value>pof-config.xml</param-value> -->
<!-- 			</init-param> -->
<!-- 		</init-params> -->
<!-- 	</serializer> -->
				<outgoing-message-handler>
					<request-timeout>5s</request-timeout>
				</outgoing-message-handler>
			</initiator-config>

		</remote-cache-scheme>
		<remote-invocation-scheme>
			<scheme-name>extend-invocation</scheme-name>
			<service-name>ExtendInvocationService</service-name>
			<initiator-config>
				<tcp-initiator>
					<remote-addresses>
						<socket-address>
							<address system-property="gridvise.proxy.hostname">localhost</address>
							<port>10061</port>
						</socket-address>
					</remote-addresses>
					<connect-timeout>10s</connect-timeout>
				</tcp-initiator>
<!-- 				<serializer> -->
<!-- 					<class-name>com.tangosol.io.pof.SafeConfigurablePofContext</class-name> -->
<!-- 					<init-params> -->
<!-- 						<init-param> -->
<!-- 							<param-type>string</param-type> -->
<!-- 							<param-value>pof-config.xml</param-value> -->
<!-- 						</init-param> -->
<!-- 					</init-params> -->
<!-- 				</serializer> -->
				<outgoing-message-handler>
					<request-timeout>5s</request-timeout>
				</outgoing-message-handler>
			</initiator-config>
		</remote-invocation-scheme>
	</caching-schemes>
</cache-config>